summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorgregory guy <[email protected]>2020-10-02 11:39:51 +0200
committergregory guy <[email protected]>2020-10-02 11:39:51 +0200
commita9a88a04a1cd125ed5de72fe281d00c92fc17fb3 (patch)
tree4c449392d28e958560030f331b9b9fdc5bc0776f /autogen.sh
parent56b524167a51840143c4a2c64df8ca873b77e82b (diff)
downloadlibcaldav-a9a88a04a1cd125ed5de72fe281d00c92fc17fb3.tar.gz
libcaldav-a9a88a04a1cd125ed5de72fe281d00c92fc17fb3.zip
Drop automake build support.
Add basic cmake build instructions. Deleted NEWS (no real content). Rework of the README file. Some cosmetics. Signed-off-by: gregory guy <[email protected]>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh32
1 files changed, 0 insertions, 32 deletions
diff --git a/autogen.sh b/autogen.sh
deleted file mode 100755
index f4cb74d..0000000
--- a/autogen.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-echo "Rebuilding build system......"
-
-autoreconf --version 2>&1 > /dev/null 2>&1
-
-if [ $? -eq 0 ]; then
- AUTORECONF=autoreconf
-else
- AUTORECONF=
-fi
-
-error() {
- echo "Missing tool: $1"
- echo "Cannot proceed until the missing tool is available"
- exit 1
-}
-
-if [ ! -z ${AUTORECONF} ]; then
- echo "Using autoreconf to rebuild build system"
- autoreconf --force --install --symlink
-else
- echo "No autoreconf found. Using plain old tools to rebuild build system"
- libtoolize --automake --force || error libtoolize
- aclocal -I m4|| error aclocal
- autoheader --force || error autoheader
- automake --add-missing --force-missing --gnu || error automake
- autoconf --force || error autoconf
-fi
-./configure $*
-
-exit 0